<?PHP
////++++++++++++++++ CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("Conections/$VpnEn.php");
include ("Funcion_Numerico.php");

$Cve_Modulo = "CMOD201506100193";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];


	/////////Identificar personalización 1 
		$sqlP1 = mysql_query("select * from wms_personaliza1 where ID='1'");
		if (mysql_numrows($sqlP1)==0) echo "";
		else{
		$registroP1=mysql_fetch_array($sqlP1);
		}
		if (mysql_numrows($sqlP1)>0)
		{
		$BBackg=$registroP1["BODY_BACKGROUND_IMG"];
		}
	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
		
	/////////Identificar personalización 3
		$sqlP3 = mysql_query("select * from wms_personaliza3 where ID='1'");
		if (mysql_numrows($sqlP3)==0) echo "";
		else{
		$registroP3=mysql_fetch_array($sqlP3);
		}
		if (mysql_numrows($sqlP3)>0)
		{
		$FuTi_Form=$registroP3["FUENTE_TITULOFORMULARIO"];
		$TaTi_Form=$registroP3["TAMANO_TITULOFORMULARIO"];
		$BgTi_Form=$registroP3["COLOR_TITULOFORMULARIO"];
		$FuCu_Form=$registroP3["FUENTE_FORMULARIO"];
		$TaCu_Form=$registroP3["TAMANO_FORMULARIO"];
		$BgCu_Form=$registroP3["COLOR_FORMULARIO"];
		$FonTi_Form=$registroP3["BG_TABLATITULO"];
		$FonCi_Form=$registroP3["BG_TABLACUERPO"];
		$FonSe_Form=$registroP3["BG_TABLASEPARACION"];
		$Borde_Form=$registroP3["BORDER_CAMPO"];
		$CamDe_Form=$registroP3["BG_CAMPODESHABILITADO"];
		$ClaBtn=$registroP3["CLASE_BOTON"];
		}
		
	/////////Identificar personalización 4
		$sqlP4 = mysql_query("select * from wms_personaliza4 where ID='1'");
		if (mysql_numrows($sqlP4)==0) echo "";
		else{
		$registroP4=mysql_fetch_array($sqlP4);
		}
		if (mysql_numrows($sqlP4)>0)
		{
		$Bord_Tabl=$registroP4["BG_BORDE"];
		$Fond_Tabl=$registroP4["BG_FONDOGRALTABLA"];
		$BgF1_Tabl=$registroP4["BG_FILA_1"];
		$BgF2_Tabl=$registroP4["BG_FILA_2"];
		$FTit_Tabl=$registroP4["FUENTE_TABLATITULO"];
		$TTit_Tabl=$registroP4["TAMANO_FUENTETABLATITULO"];
		$CFTi_Tabl=$registroP4["COLOR_FUENTETABLATITULO"];
		$FEnc_Tabl=$registroP4["FUENTE_TABLAENCA"];
		$TEnc_Tabl=$registroP4["TAMANO_FUENTETABLAENCA"];
		$CEnc_Tabl=$registroP4["COLOR_FUENTETABLAENCA"];
		$FCue_Tabl=$registroP4["FUENTE_TABLACUER"];
		$TCue_Tabl=$registroP4["TAMANO_FUENTETABLACUER"];
		$CCue_Tabl=$registroP4["COLOR_FUENTETABLACUER"];
		}		
		
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?USUkp=$UsuEn&IdDeAcc=$IDSeEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
	
	/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&' target='_parent'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
		
		//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
			
			//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];	
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
			
			///Arrastrando Campos
			$NoOrdenEn=$_GET['NoOrden'] or $NoOrdenEn=$_POST['NoOrden'];
			$IDBDEn=$_GET['IdBD'] or $IDBDEn=$_POST['IdBD'];
			$SkuEn=$_GET['SkuBD'] or $SkuEn=$_POST['SkuBD'];
			$CantComEn=$_GET['txt_CantComple'] or $CantComEn=$_POST['txt_CantComple'];
			
			////Identificar los datos del Documento de Recibo
				$sqlIDR1 = mysql_query("select PEDIMENTO_SOLICITADO,TIPO_EXTRACCION from extra_ordentrabajo where CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND ID='$IDBDEn' AND SKU='$SkuEn' AND ESTADO_LINEA<>'CANCELADA'");
				if (mysql_numrows($sqlIDR1)==0) echo "";
				else{
				$registroIDR1=mysql_fetch_array($sqlIDR1);
				}
				if (mysql_numrows($sqlIDR1)>0)
				{
				$PedimenIDR1=$registroIDR1["PEDIMENTO_SOLICITADO"];
				$TiExtraIDR1=$registroIDR1["TIPO_EXTRACCION"];
				}


////++++++++++++++ FIN CONFIGURACIÓN DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<?PHP echo"<link rel='stylesheet' href='cssBtn/style_Btns.css'>"; ?>
<script language='javascript' src="popcalendar.js"></script>
<link rel="shortcut icon" href="../WMS_Resources/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
body {
	background-image: url(../WMS_Resources/images/MainBkgr/<?PHP echo $BBackg; ?>);
}

.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: <?PHP echo $FuCu_Form; ?>;
	font-size:<?PHP echo $TaCu_Form; ?>px;
	color:<?PHP echo $BgCu_Form; ?>;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>

<script>
function datos(cod){
    opener.document.neo.txt_Fami.value = cod;
    window.close();
}
</script>
</head>

<body>

<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<?PHP
include ("Banners.php");
?>

<Br><Br><Br>
<div align="center">

<?PHP
	///Identificar el Pallet Maestro (o Pallet por Dividir)	
		$sql_RC2 = mysql_query("select ID,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,CANTIDAD,LOTE,LOTEWMS,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,NO_PALLET,UBICACION,PRIORIDAD,TIPO_UBICACION,EDO_CALIDAD from tabla_inventario where CVE_CUENTA='$CveCueCR1' AND SKU='$SkuEn' AND LOTEPRODU='$PedimenIDR1' AND CANTIDAD>'0' AND UBICACION='200-1-1-1' AND EDO_CALIDAD='M' AND TIPO_ALMACEN='$TiExtraIDR1' Order By ID ASC Limit 0,1");
		if (mysql_numrows($sql_RC2)==0) echo "";
		else{
		$registro_RC2=mysql_fetch_array($sql_RC2);
		}
		if (mysql_numrows($sql_RC2)>0)
		{
		$IdBasDa_RC2=$registro_RC2["ID"];
		$NoDocum_RC2=$registro_RC2["NO_DOCUMENTO"];
		$Complem_RC2=$registro_RC2["NO_DOC_COMPLE"];
		$CodiSku_RC2=$registro_RC2["SKU"];
		$SkuAlte_RC2=$registro_RC2["SKU_ALT"];
		$Descrip_RC2=$registro_RC2["DESCRIPCION"];
		$Cantida_RC2=$registro_RC2["CANTIDAD"];
		$ValLote_RC2=$registro_RC2["LOTE"];
		$LoteWms_RC2=$registro_RC2["LOTEWMS"];
		$Caducid_RC2=$registro_RC2["CADUCIDAD"];
		$Factura_RC2=$registro_RC2["FACTURA"];
		$Proveed_RC2=$registro_RC2["PROVEEDOR"];
		$PzaxCaj_RC2=$registro_RC2["PIEZASXCAJA"];
		$CajxPal_RC2=$registro_RC2["CAJASXPALLET"];
		$NoPalle_RC2=$registro_RC2["NO_PALLET"];
		$Ubicaci_RC2=$registro_RC2["UBICACION"];
		$Priorid_RC2=$registro_RC2["PRIORIDAD"];
		$TipUbic_RC2=$registro_RC2["TIPO_UBICACION"];
		$EdoCalid_RC2=$registro_RC2["EDO_CALIDAD"];		
		}

///################################################################################################################
		
		///Identificar si el Pallet Maestro es Por el Exacto de las Piezas Faltantes por Recolectar
		if ($CantComEn==$Cantida_RC2)
		{ ///Inicia IF Proceso 01
			
			///Identificar la Prioridad de Sutido de la Ubicación
				$sql_PS1 = mysql_query("select PRIORIDAD from tabla_prioridad where CVE_CUENTA='$CveCueCR1' AND UBICACION='300-1-1-1' Limit 0,1");
				if (mysql_numrows($sql_PS1)==0) echo "";
				else{
				$registro_PS1=mysql_fetch_array($sql_PS1);
				}
				if (mysql_numrows($sql_PS1)>0)
				{
				$PriUbi_PS1=$registro_PS1["PRIORIDAD"];
				}
			
			///Identificar el Tipo de Ubicación
				$sql_PS2 = mysql_query("select TIPODEUBICACION from tabla_ubicaciones where CUENTA='$CveCueCR1' AND CLAVEUBICACION='300-1-1-1' Limit 0,1");
				if (mysql_numrows($sql_PS2)==0) echo "";
				else{
				$registro_PS2=mysql_fetch_array($sql_PS2);
				}
				if (mysql_numrows($sql_PS2)>0)
				{
				$TipUbi_PS2=$registro_PS2["TIPODEUBICACION"];
				}
				
			///Guarda el Traspaso y el cambio de Calidad del Pallet Nuevo y/o Recolectado - Modifica la tabla del Inventario
				$sql_GMPN="UPDATE tabla_inventario SET UBICACION='300-1-1-1',PRIORIDAD='$PriUbi_PS1',TIPO_UBICACION='$TipUbi_PS2',EDO_CALIDAD='PE' WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$SkuEn' AND ID='$IdBasDa_RC2' AND NO_PALLET='$NoPalle_RC2'";
				$resultado_GMPN=mysql_query($sql_GMPN,$conexion) or die(mysql_error());	
				
///****************************************************************************************************************************				
				
			///Registro de Traspaso a Menos
				$sql_GF1 = "select max(ID) as ultimo_FOLIO_GF1 from tabla_kardex"; 
				$lib_GF1 = mysql_query($sql_GF1); 
				$rs_lib_GF1 = mysql_fetch_assoc($lib_GF1); 
				$id_nuevo_GF1 = $rs_lib_GF1['ultimo_FOLIO_GF1'] + 1;
								
			///Guardar el registro de Traspaso a Menos
				$sql_TMen = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF1','$CveBodCR1','$CveCueCR1','$CodiSku_RC2','$SkuAlte_RC2','$NoDocum_RC2','TRASPASO -','$Ubicaci_RC2','$NoPalle_RC2','-$CantComEn','$HoraOK','$Fecha','$UsuEn')";
				$resultado_TMen=mysql_query($sql_TMen,$conexion) or die(mysql_error());
				
			///Registro de Traspaso a Mas
				$sql_GF2 = "select max(ID) as ultimo_FOLIO_GF2 from tabla_kardex"; 
				$lib_GF2 = mysql_query($sql_GF2); 
				$rs_lib_GF2 = mysql_fetch_assoc($lib_GF2); 
				$id_nuevo_GF2 = $rs_lib_GF2['ultimo_FOLIO_GF2'] + 1;
								
			///Guardar el registro de Traspaso a Mas
				$sql_TMas = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF2','$CveBodCR1','$CveCueCR1','$CodiSku_RC2','$SkuAlte_RC2','$NoDocum_RC2','TRASPASO +','300-1-1-1','$NoPalle_RC2','$CantComEn','$HoraOK','$Fecha','$UsuEn')";
				$resultado_TMas=mysql_query($sql_TMas,$conexion) or die(mysql_error());	
				
///****************************************************************************************************************************
				
			///Registro de Cambio de Calidad a Menos
				$sql_GF3 = "select max(ID) as ultimo_FOLIO_GF3 from tabla_kardex"; 
				$lib_GF3 = mysql_query($sql_GF3); 
				$rs_lib_GF3 = mysql_fetch_assoc($lib_GF3); 
				$id_nuevo_GF3 = $rs_lib_GF3['ultimo_FOLIO_GF3'] + 1;
								
			///Guardar el registro de Cambio de Calidad a Menos
				$sql_CMen = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF3','$CveBodCR1','$CveCueCR1','$CodiSku_RC2','$SkuAlte_RC2','$NoDocum_RC2','CALIDAD - $EdoCalid_RC2','300-1-1-1','$NoPalle_RC2','-$CantComEn','$HoraOK','$Fecha','$UsuEn')";
				$resultado_CMen=mysql_query($sql_CMen,$conexion) or die(mysql_error());
				
			///Registro de Cambio de Calidad a Mas
				$sql_GF4 = "select max(ID) as ultimo_FOLIO_GF4 from tabla_kardex"; 
				$lib_GF4 = mysql_query($sql_GF4); 
				$rs_lib_GF4 = mysql_fetch_assoc($lib_GF4); 
				$id_nuevo_GF4 = $rs_lib_GF4['ultimo_FOLIO_GF4'] + 1;
								
			///Guardar el registro de Cambio de Calidad a Mas
				$sql_CMas = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF4','$CveBodCR1','$CveCueCR1','$CodiSku_RC2','$SkuAlte_RC2','$NoDocum_RC2','CALIDAD + PE','300-1-1-1','$NoPalle_RC2','$CantComEn','$HoraOK','$Fecha','$UsuEn')";
				$resultado_CMas=mysql_query($sql_CMas,$conexion) or die(mysql_error());	
				
///****************************************************************************************************************************				
			//Guardar el registro del Pallet recolectado para asociarlo a la Orden de Trabajo
				$sql_ARec = "insert into extra_recoleccion_ordentrabajo 				(CVE_BODEGA,CVE_CUENTA,NO_ORDEN,SKU,PALLET,USUARIO,FECHA,HORA)
        		values('$CveBodCR1','$CveCueCR1','$NoOrdenEn','$CodiSku_RC2','$NoPalle_RC2','$UsuEn','$FechaEnt','$HoraOK')";
				$resultado_ARec=mysql_query($sql_ARec,$conexion) or die(mysql_error());
				
			///Sumar el total de piezas que se han Trabajado de Maquila y que ahora estan en el Area de Producto Terminado
				$sql_Sum = "SELECT SUM(CANTIDAD_TRABAJADA) as ObtCant_Sum FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$SkuEn' AND PEDIMENTO_SOLICITADO='$PedimenIDR1' AND TIPO_EXTRACCION='$TiExtraIDR1' AND ESTADO_LINEA<>'CANCELADA'";
				$res_Sum = mysql_query($sql_Sum); 
				$PrePiezas_Sum = mysql_fetch_assoc($res_Sum);
				$Total_Sum =  $PrePiezas_Sum ['ObtCant_Sum'];
				
				$TotPieTra = $Total_Sum + $CantComEn;
			
			///Guardar el total de piezas que se han Trasladado al Area de Producción
				$sql_TTra="UPDATE extra_ordentrabajo SET CANTIDAD_TRABAJADA='$TotPieTra' WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$SkuEn' AND PEDIMENTO_SOLICITADO='$PedimenIDR1' AND TIPO_EXTRACCION='$TiExtraIDR1' AND ESTADO_LINEA<>'CANCELADA'";
				$resultado_TTra=mysql_query($sql_TTra,$conexion) or die(mysql_error());	
			
			///Comparar la Cantidad por Maquilar VS la Cantidad Maquilada para poder Cambiar el Estatus de la Linea
				
				///Sumar el total de piezas que se han Trabajado de Maquila - SUMA FINAL POR BARRIDO
				$sql_SumG2 = "SELECT SUM(CANTIDAD_X_TRABAJAR) as ObtCant_SumG2 FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$SkuEn' AND PEDIMENTO_SOLICITADO='$PedimenIDR1' AND TIPO_EXTRACCION='$TiExtraIDR1' AND ESTADO_LINEA<>'CANCELADA'";
				$res_SumG2 = mysql_query($sql_SumG2); 
				$PrePiezas_SumG2 = mysql_fetch_assoc($res_SumG2);
				$Total_SumG2 =  $PrePiezas_SumG2 ['ObtCant_SumG2'];
				
				///Sumar el total de piezas que se han Trabajado de Maquila - SUMA FINAL POR BARRIDO
				$sql_SumG3 = "SELECT SUM(CANTIDAD_TRABAJADA) as ObtCant_SumG3 FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$SkuEn' AND PEDIMENTO_SOLICITADO='$PedimenIDR1' AND TIPO_EXTRACCION='$TiExtraIDR1' AND ESTADO_LINEA<>'CANCELADA'";
				$res_SumG3 = mysql_query($sql_SumG3); 
				$PrePiezas_SumG3 = mysql_fetch_assoc($res_SumG3);
				$Total_SumG3 =  $PrePiezas_SumG3 ['ObtCant_SumG3'];
				
				if ($Total_SumG2==$Total_SumG3)
					{
						///Modifica el estado de la Linea dentro de la Orden
						$sql_MELO="UPDATE extra_ordentrabajo SET ESTADO_LINEA='MAQUILADA' WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$SkuEn' AND PEDIMENTO_SOLICITADO='$PedimenIDR1' AND TIPO_EXTRACCION='$TiExtraIDR1' AND ESTADO_LINEA<>'CANCELADA'";
						$resultado_MELO=mysql_query($sql_MELO,$conexion) or die(mysql_error());
					}
				
			///Confirmación y Redireccionamiento
				echo "<script>alert('Complemento Recolectado Correctamente.');</script>";						
		
		} ///Termina IF Proceso 01
		


///################################################################################################################
		
		///Identificar si el Pallet Maestro es Mayor de las Piezas Faltantes por Recolectar
		if ($CantComEn < $Cantida_RC2)
		{ ///Inicia IF Proceso 02
			
					$CanSobPallOri = $Cantida_RC2 - $CantComEn;
					$ArmPallOri="1 pallet de ".$CanSobPallOri." piezas";
					
					///Guarda la división del Pallet Original en la BD - Modifica la tabla del Inventario
					$sqlGM1="UPDATE tabla_inventario SET CANTIDAD='$CanSobPallOri', ARM_PALLET='$ArmPallOri' WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$SkuEn' AND LOTEPRODU='$PedimenIDR1' AND CANTIDAD>'0' AND UBICACION='200-1-1-1' AND EDO_CALIDAD='M' AND TIPO_ALMACEN='$TiExtraIDR1' AND NO_PALLET='$NoPalle_RC2'";
					$resultadoGM1=mysql_query($sqlGM1,$conexion) or die(mysql_error());
				
///****************************************************************************************************************************				
				
				///Identificar el prefijo configurado para la creación de pallets
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
					
					///Generador de Folio para guardar el concecutivo de la clave del Pallet
					$FechaPallet = substr($NoPalle_RC2, -13, 8); // debuelve la fecha del pallet origina
			
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet WHERE FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
					
					///Generador de Folio para guardar el consecutivo del Pallet
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					///Guardar en la BD el consecutivo del No. de Pallet
					$sqlGCP = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$NoDocum_RC2','$ClavePallet','$FechaPallet')";
					$resultadoGCP=mysql_query($sqlGCP,$conexion) or die(mysql_error());
					
					///Generador de Folio tabla Inventarios
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevoPPall = $rs_lib['ultimo_FOLIO'] + 1;
					
					///Guardar el Nuevo Pallet en la Tabla de Inventario
					$ArmadoDivision="1 pallet de ".$TotPieRec." piezas";
					$FechaEnt=date("Y/m/d");
					////Hora y Fecha
					$Hora2=time();
					$HoraOK2=date("H:i:s",$Hora2);
					
					$sqlDP = "insert tabla_inventario (ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,TIPO_UBICACION,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA,TIPO_ALMACEN)
        			values('$id_nuevoPPall','$CveBodCR1','$CveCueCR1','$NoDocum_RC2','$Complem_RC2','$CodiSku_RC2','$SkuAlte_RC2','$Descrip_RC2','$FechaEnt','$CantComEn','$ValLote_RC2','$LoteWms_RC2','$PedimenIDR1','$Caducid_RC2','$Factura_RC2','$Proveed_RC2','$PzaxCaj_RC2','$CajxPal_RC2','$ArmadoDivision','$ClavePallet','$Ubicaci_RC2','$Priorid_RC2','$TipUbic_RC2','$EdoCalid_RC2','$UsuEn','$HoraOK2','$FechaEnt','$TiExtraIDR1')";
					$resultadoDP=mysql_query($sqlDP,$conexion) or die(mysql_error());
					
					/////Generador de Folio para guardar el consecutivo del Pallet
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					/////Guardar en la BD el consecutivo del No. de Pallet
					$sqlGCP = "insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$NoDocum_RC2','$ClavePallet','$FechaPallet')";
					
///*******************************************************************************************************************************
					
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					
					///Generador de Folio para Guardar el kardex (Registro a MENOS)
					$sqlIDPK1 = "select max(ID) as ultimo_FOLIOPK1 from tabla_kardex"; 
					$libPK1 = mysql_query($sqlIDPK1); 
					$rs_libPK1 = mysql_fetch_assoc($libPK1); 
					$id_nuevoPK1 = $rs_libPK1['ultimo_FOLIOPK1'] + 1;
						
					/////Guarda la División del Pallet Orignal en el Kardex con un Registro Nuevo
					$sqlMK = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
						values('$id_nuevoPK1','$CveBodCR1','$CveCueCR1','$CodiSku_RC2','$SkuAlte_RC2','$NoDocum_RC2','DIVISION','$Ubicaci_RC2','$NoPalle_RC2','-$CantComEn','$FechaEnt','$HoraOK','$UsuEn')";
					$resultadoMK=mysql_query($sqlMK,$conexion) or die(mysql_error());
					
					
					////Generador de Folio para Guardar el Kardex (Registro a MAS)			
					$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
					$libPK = mysql_query($sqlIDPK); 
					$rs_libPK = mysql_fetch_assoc($libPK); 
					$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
					
					/////Guardar el Registro nuevo en el Kardex
					$sqlk = "insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$CodiSku_RC2','$SkuAlte_RC2','$NoDocum_RC2','DIVISION','$Ubicaci_RC2','$ClavePallet','$CantComEn','$FechaEnt','$HoraOK','$UsuEn')";
					$resultadok=mysql_query($sqlk,$conexion) or die(mysql_error());	
					
///****************************************************************************************************************************				
				
			///Registro de Traspaso a Menos
				$sql_GF1 = "select max(ID) as ultimo_FOLIO_GF1 from tabla_kardex"; 
				$lib_GF1 = mysql_query($sql_GF1); 
				$rs_lib_GF1 = mysql_fetch_assoc($lib_GF1); 
				$id_nuevo_GF1 = $rs_lib_GF1['ultimo_FOLIO_GF1'] + 1;
								
			///Guardar el registro de Traspaso a Menos
				$sql_TMen = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF1','$CveBodCR1','$CveCueCR1','$CodiSku_RC2','$SkuAlte_RC2','$NoDocum_RC2','TRASPASO -','$Ubicaci_RC2','$ClavePallet','-$CantComEn','$HoraOK','$FechaEnt','$UsuEn')";
				$resultado_TMen=mysql_query($sql_TMen,$conexion) or die(mysql_error());
				
			///Registro de Traspaso a Mas
				$sql_GF2 = "select max(ID) as ultimo_FOLIO_GF2 from tabla_kardex"; 
				$lib_GF2 = mysql_query($sql_GF2); 
				$rs_lib_GF2 = mysql_fetch_assoc($lib_GF2); 
				$id_nuevo_GF2 = $rs_lib_GF2['ultimo_FOLIO_GF2'] + 1;
								
			///Guardar el registro de Traspaso a Mas
				$sql_TMas = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF2','$CveBodCR1','$CveCueCR1','$CodiSku_RC2','$SkuAlte_RC2','$NoDocum_RC2','TRASPASO +','300-1-1-1','$ClavePallet','$CantComEn','$HoraOK','$FechaEnt','$UsuEn')";
				$resultado_TMas=mysql_query($sql_TMas,$conexion) or die(mysql_error());	
				
///****************************************************************************************************************************
				
			///Registro de Cambio de Calidad a Menos
				$sql_GF3 = "select max(ID) as ultimo_FOLIO_GF3 from tabla_kardex"; 
				$lib_GF3 = mysql_query($sql_GF3); 
				$rs_lib_GF3 = mysql_fetch_assoc($lib_GF3); 
				$id_nuevo_GF3 = $rs_lib_GF3['ultimo_FOLIO_GF3'] + 1;
								
			///Guardar el registro de Cambio de Calidad a Menos
				$sql_TMen = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF3','$CveBodCR1','$CveCueCR1','$CodiSku_RC2','$SkuAlte_RC2','$NoDocum_RC2','CALIDAD - $EdoCalid_RC2','300-1-1-1','$ClavePallet','-$CantComEn','$HoraOK','$FechaEnt','$UsuEn')";
				$resultado_TMen=mysql_query($sql_TMen,$conexion) or die(mysql_error());
				
			///Registro de Cambio de Calidad a Mas
				$sql_GF4 = "select max(ID) as ultimo_FOLIO_GF4 from tabla_kardex"; 
				$lib_GF4 = mysql_query($sql_GF4); 
				$rs_lib_GF4 = mysql_fetch_assoc($lib_GF4); 
				$id_nuevo_GF4 = $rs_lib_GF4['ultimo_FOLIO_GF4'] + 1;
								
			///Guardar el registro de Cambio de Calidad a Mas
				$sql_TMen = "insert into tabla_kardex 				(ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
        		values('$id_nuevo_GF4','$CveBodCR1','$CveCueCR1','$CodiSku_RC2','$SkuAlte_RC2','$NoDocum_RC2','CALIDAD + PE','300-1-1-1','$ClavePallet','$CantComEn','$HoraOK','$FechaEnt','$UsuEn')";
				$resultado_TMen=mysql_query($sql_TMen,$conexion) or die(mysql_error());
				
///****************************************************************************************************************************				
			
			///Identificar la Prioridad de Sutido de la Ubicación
				$sql_PS1 = mysql_query("select PRIORIDAD from tabla_prioridad where CVE_CUENTA='$CveCueCR1' AND UBICACION='300-1-1-1' Limit 0,1");
				if (mysql_numrows($sql_PS1)==0) echo "";
				else{
				$registro_PS1=mysql_fetch_array($sql_PS1);
				}
				if (mysql_numrows($sql_PS1)>0)
				{
				$PriUbi_PS1=$registro_PS1["PRIORIDAD"];
				}
			
			///Identificar el Tipo de Ubicación
				$sql_PS2 = mysql_query("select TIPODEUBICACION from tabla_ubicaciones where CUENTA='$CveCueCR1' AND CLAVEUBICACION='300-1-1-1' Limit 0,1");
				if (mysql_numrows($sql_PS2)==0) echo "";
				else{
				$registro_PS2=mysql_fetch_array($sql_PS2);
				}
				if (mysql_numrows($sql_PS2)>0)
				{
				$TipUbi_PS2=$registro_PS2["TIPODEUBICACION"];
				}
				
			///Guarda el Traspaso y el cambio de Calidad del Pallet Nuevo y/o Recolectado - Modifica la tabla del Inventario
				$sql_GMPN="UPDATE tabla_inventario SET UBICACION='300-1-1-1',PRIORIDAD='$PriUbi_PS1',TIPO_UBICACION='$TipUbi_PS2',EDO_CALIDAD='PE' WHERE CVE_CUENTA='$CveCueCR1' AND SKU='$CodiSku_RC2' AND ID='$id_nuevoPPall' AND NO_PALLET='$ClavePallet'";
				$resultado_GMPN=mysql_query($sql_GMPN,$conexion) or die(mysql_error());															
				
///****************************************************************************************************************************				
			//Guardar el registro del Pallet recolectado para asociarlo a la Orden de Trabajo
				$sql_ARec = "insert into extra_recoleccion_ordentrabajo 				(CVE_BODEGA,CVE_CUENTA,NO_ORDEN,SKU,PALLET,USUARIO,FECHA,HORA)
        		values('$CveBodCR1','$CveCueCR1','$NoOrdenEn','$CodiSku_RC2','$ClavePallet','$UsuEn','$FechaEnt','$HoraOK')";
				$resultado_ARec=mysql_query($sql_ARec,$conexion) or die(mysql_error());	
				
			///Sumar el total de piezas que se han Trabajado de Maquila y que ahora estan en el Area de Producto Terminado
				$sql_Sum = "SELECT SUM(CANTIDAD_TRABAJADA) as ObtCant_Sum FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$SkuEn' AND PEDIMENTO_SOLICITADO='$PedimenIDR1' AND TIPO_EXTRACCION='$TiExtraIDR1' AND ESTADO_LINEA<>'CANCELADA'";
				$res_Sum = mysql_query($sql_Sum); 
				$PrePiezas_Sum = mysql_fetch_assoc($res_Sum);
				$Total_Sum =  $PrePiezas_Sum ['ObtCant_Sum'];
				
				$TotPieTra = $Total_Sum + $CantComEn;
			
			///Guardar el total de piezas que se han Trasladado al Area de Producción
				$sql_TTra="UPDATE extra_ordentrabajo SET CANTIDAD_TRABAJADA='$TotPieTra' WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$SkuEn' AND PEDIMENTO_SOLICITADO='$PedimenIDR1' AND TIPO_EXTRACCION='$TiExtraIDR1' AND ESTADO_LINEA<>'CANCELADA'";
				$resultado_TTra=mysql_query($sql_TTra,$conexion) or die(mysql_error());	
			
			///Comparar la Cantidad por Maquilar VS la Cantidad Maquilada para poder Cambiar el Estatus de la Linea
				
				///Sumar el total de piezas que se han Trabajado de Maquila - SUMA FINAL POR BARRIDO
				$sql_SumG2 = "SELECT SUM(CANTIDAD_X_TRABAJAR) as ObtCant_SumG2 FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$SkuEn' AND PEDIMENTO_SOLICITADO='$PedimenIDR1' AND TIPO_EXTRACCION='$TiExtraIDR1' AND ESTADO_LINEA<>'CANCELADA'";
				$res_SumG2 = mysql_query($sql_SumG2); 
				$PrePiezas_SumG2 = mysql_fetch_assoc($res_SumG2);
				$Total_SumG2 =  $PrePiezas_SumG2 ['ObtCant_SumG2'];
				
				///Sumar el total de piezas que se han Trabajado de Maquila - SUMA FINAL POR BARRIDO
				$sql_SumG3 = "SELECT SUM(CANTIDAD_TRABAJADA) as ObtCant_SumG3 FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$SkuEn' AND PEDIMENTO_SOLICITADO='$PedimenIDR1' AND TIPO_EXTRACCION='$TiExtraIDR1' AND ESTADO_LINEA<>'CANCELADA'";
				$res_SumG3 = mysql_query($sql_SumG3); 
				$PrePiezas_SumG3 = mysql_fetch_assoc($res_SumG3);
				$Total_SumG3 =  $PrePiezas_SumG3 ['ObtCant_SumG3'];
				
				if ($Total_SumG2==$Total_SumG3)
					{
						///Modifica el estado de la Linea dentro de la Orden
						$sql_MELO="UPDATE extra_ordentrabajo SET ESTADO_LINEA='MAQUILADA' WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND SKU='$SkuEn' AND PEDIMENTO_SOLICITADO='$PedimenIDR1' AND TIPO_EXTRACCION='$TiExtraIDR1' AND ESTADO_LINEA<>'CANCELADA'";
						$resultado_MELO=mysql_query($sql_MELO,$conexion) or die(mysql_error());
					}
				
			///Confirmación y Redireccionamiento
				echo "<script>alert('Complemento Recolectado Correctamente.');</script>";						
		
		} ///Termina IF Proceso 02	
		


///################################################################################################################
		
		///Identificar si la cantidad del Pallet Maestro es Menor a la cantidad que se desea Recolectar
		if ($CantComEn > $Cantida_RC2)
		{ ///Inicia IF Proceso 03
			
			echo "<script>alert('Atención:\\n\\nLa cantidad que se desea recolectar sobrepasa a la existente en proceso de maquila, Favor de corroborarlo.');</script>";	
			
		} ///Termina IF Proceso 03
		
///################################################################################################################		
		
///Sumar el total de piezas por Trabajar
	$sql_Sum2 = "SELECT SUM(CANTIDAD_X_TRABAJAR) as ObtCant_Sum2 FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND ESTADO_LINEA<>'CANCELADA'";
	$res_Sum2 = mysql_query($sql_Sum2); 
	$PrePiezas_Sum2 = mysql_fetch_assoc($res_Sum2);
	$Total_Sum2 =  $PrePiezas_Sum2 ['ObtCant_Sum2'];
	
///Sumar el total de piezas que se han Trabajado de Maquila y que ahora estan en el Area de Producto Terminado
	$sql_Sum3 = "SELECT SUM(CANTIDAD_TRABAJADA) as ObtCant_Sum3 FROM extra_ordentrabajo WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn' AND ESTADO_LINEA<>'CANCELADA'";
	$res_Sum3 = mysql_query($sql_Sum3); 
	$PrePiezas_Sum3 = mysql_fetch_assoc($res_Sum3);
	$Total_Sum3 =  $PrePiezas_Sum3 ['ObtCant_Sum3'];
	
	if ($Total_Sum2==$Total_Sum3)
		{
			$sql_COM="UPDATE extra_ordentrabajo SET ESTADO_ORDEN='CERRADA' WHERE CVE_CUENTA='$CveCueCR1' AND NO_ORDEN='$NoOrdenEn'";
			$resultado_COM=mysql_query($sql_COM,$conexion) or die(mysql_error());	
		}
		
echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=WindowsClose.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		
?>

</div>


<Br><Br><Br><Br>

<!-- Termina Cuerpo de la Interfaz Gráfica -->

<?PHP
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>
</body>
</html>